Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've installed this new Kernel version (2.6.39.1) and it seems to me that isn't stable. When i boot my laptop it blocks.... and it shows a Fail on Graphics... What is the problem?

I've installed proprietary drivers FGLRX.

My Laptop is a Acer Aspire 5542G AMD64 bits ATI Radeon HD4570 4gb Memory

I'll wait for an answer, please...

Here it is my proprietary graphics:

enter image description here

This installation problem shows me this:

enter image description here

share|improve this question

closed as off topic by jrg May 22 '12 at 18:59

Questions on Ask Ubuntu are expected to relate to Ubuntu within the scope defined by the community. Consider editing the question or leaving comments for improvement if you believe the question can be reworded to fit within the scope. Read more about reopening questions here.If this question can be reworded to fit the rules in the help center, please edit the question.

    
please confirm the exact error message displayed when booting - when do you see it. Also confirm in your question, what happens if you remove the driver, remove /etc/X11/xorg.conf. Does the laptop boot correctly? –  fossfreedom Jun 9 '11 at 14:17
    
No. It doesn't boot well. It blocks at certain time and appears that everything boots ok. At a moment it blocks and shows that the graphics boot "Fail"... –  Jorge Pinho Jun 9 '11 at 14:24
    
This sounds like a bug report... –  Alvar Jun 28 '11 at 22:01
    
yes, indeed. I've already sent my bug report... –  Jorge Pinho Jun 30 '11 at 12:59
add comment

1 Answer

up vote 2 down vote accepted

A very similar Question was recently raised here.

The resolve the black screens for the proprietary FGLRX catalyst driver, you will need to patch the kernel.

Therefore, boot with your natty kernel and remove the FGLRX catalyst driver. You should be able to boot with the open-source driver. Reboot into the new kernel.

In the linked question try either of the two solutions depending upon whether you are using Catalyst v11.5 or Catalyst v11.6.

share|improve this answer
1  
Kernel 2.6.39-2 solves the compatibility for FGLRX –  Uri Herrera Jun 29 '11 at 3:36
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.